public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-engines/stratagus/
Date: Sat, 19 Dec 2020 08:59:50 +0000 (UTC)	[thread overview]
Message-ID: <1608368386.f89646f8f8ac549571b7a65b506ee558c4f47dac.mgorny@gentoo> (raw)

commit:     f89646f8f8ac549571b7a65b506ee558c4f47dac
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 19 08:34:08 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 19 08:59:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f89646f8

games-engines/stratagus: Bump to 3.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 games-engines/stratagus/Manifest               |  1 +
 games-engines/stratagus/stratagus-3.0.0.ebuild | 70 ++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/games-engines/stratagus/Manifest b/games-engines/stratagus/Manifest
index 2195f5ba909..dd904acad1f 100644
--- a/games-engines/stratagus/Manifest
+++ b/games-engines/stratagus/Manifest
@@ -1,2 +1,3 @@
 DIST stratagus-2.4.1.tar.gz 1087678 BLAKE2B be7fc8322aee2a28c80833d44c3180e26b961ce9dfd1bc5e0a8e3fa0caac74bf713224de4c38b2ebf6d5aeabbe778a5664346c6a444b066f07f719bba5317bac SHA512 1f0420677df72e3e2d2f31e60030fa2eba4c3d1ab80cfc79c045724fe39ac237846bc38e8762ee9aa51768a443cdbbaa1fe91bf80fb2164261288a1bb17e27cd
 DIST stratagus-2.4.3.tar.gz 1123537 BLAKE2B 90e40b2b277b5c52977f3c0ae2ae8f2e65d940d765e2ca4f7def4f8cf903399350f5e46f6dc6fbc38f3a53c7ca9ecaf5cf38025ec69154972869f28da37865d4 SHA512 16271c4fed3fb75fb8fb08e363e72713ede7979ea7e25b7c83db2fa9a0688fb7927cad3379e3b23e172c409cf0f6db18f7c6557d19a693c9a7f24109b56d2a56
+DIST stratagus-3.0.0.tar.gz 1150501 BLAKE2B 2d043755a70596fa7ac6c3817ad809a1515ba057231cafa32c930b0d3e03c28041c13133ac2c3d01de796cec5395e843c873fb0f89c77003cdeff26f3f3c8dc4 SHA512 d96f580b75e7abf6fa90832ada6a38de107a1f9cb432e67c99ae9195948e7675282019914c77746bc0fd883f07e9235ddd1ffb6a91759321986aa401f8c6e6d9

diff --git a/games-engines/stratagus/stratagus-3.0.0.ebuild b/games-engines/stratagus/stratagus-3.0.0.ebuild
new file mode 100644
index 00000000000..ee369f12de3
--- /dev/null
+++ b/games-engines/stratagus/stratagus-3.0.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake optfeature
+
+DESCRIPTION="A realtime strategy game engine"
+HOMEPAGE="https://wargus.github.io/stratagus.html
+	https://github.com/Wargus/stratagus"
+SRC_URI="https://github.com/Wargus/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0/3"
+KEYWORDS="~amd64 ~x86"
+IUSE="bzip2 debug doc mng theora vorbis"
+REQUIRED_USE="theora? ( vorbis )"
+
+RDEPEND="
+	dev-db/sqlite:3
+	>=dev-lang/lua-5:0
+	dev-lua/toluapp
+	media-libs/libpng:0
+	x11-libs/libX11
+	media-libs/libsdl2[sound,opengl,video]
+	media-libs/sdl2-mixer[vorbis]
+	media-libs/sdl2-image[png]
+	sys-libs/zlib
+	bzip2? ( app-arch/bzip2 )
+	mng? ( media-libs/libmng )
+	vorbis? (
+		media-libs/libogg
+		media-libs/libvorbis
+		theora? ( media-libs/libtheora )
+	)"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )"
+
+PATCHES=(
+	"${FILESDIR}/${PN}"-2.3.0-doc.patch
+)
+
+src_prepare() {
+	sed -i -e 's:-Werror::' CMakeLists.txt || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	# there are in-source switches
+	use debug && CMAKE_BUILD_TYPE=Debug
+
+	local mycmakeargs=(
+		-DGAMEDIR="/usr/bin"
+		-DDOCDIR="/usr/share/doc/${PF}"
+		-DWITH_BZIP2=$(usex bzip2)
+		-DWITH_MNG=$(usex mng)
+		-DWITH_OGGVORBIS=$(usex vorbis)
+		-DWITH_THEORA=$(usex theora)
+		-DENABLE_DOC=$(usex doc)
+		-DENABLE_DEV=ON
+	)
+
+	cmake_src_configure
+}
+
+pkg_postinst() {
+	optfeature "MIDI music support" "media-libs/sdl2-mixer[midi]"
+}


             reply	other threads:[~2020-12-19  8:59 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-19  8:59 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-15 15:15 [gentoo-commits] repo/gentoo:master commit in: games-engines/stratagus/ Michał Górny
2024-02-15 15:15 Michał Górny
2024-02-15 15:15 Michał Górny
2022-12-18 17:04 Andreas Sturmlechner
2022-08-10 20:44 Michał Górny
2022-08-01 11:07 Michał Górny
2022-08-01 11:07 Michał Górny
2022-07-29 18:02 Michał Górny
2021-12-24 22:52 Michał Górny
2021-07-17  6:18 Michał Górny
2021-07-15 17:33 Michał Górny
2021-07-03 21:46 Michał Górny
2021-03-26 19:46 Conrad Kostecki
2020-12-25 11:25 Michał Górny
2020-12-20 10:40 Michał Górny
2020-11-23  0:33 Michał Górny
2020-11-22 22:33 Michał Górny
2020-11-22 22:33 Michał Górny
2018-04-29 13:06 Pacho Ramos
2017-10-16  0:08 David Seifert
2017-10-03 22:03 Patrice Clement
2015-12-14 14:12 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1608368386.f89646f8f8ac549571b7a65b506ee558c4f47dac.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox